version: '3'
services: 
  web01:
    restart: always
    build: ./app01
    ports:
      - "9002:9000"
    volumes: 
      - ./app01:/var/www/
    depends_on: 
      - db

  nginx01:
    build: ./.docker/nginx1
    restart: always
    ports:
      - "8081:80"
    volumes: 
      - ./app01:/var/www
    depends_on: 
      - web01
      
  web02:
    restart: always
    build: ./app02
    ports:
      - "9001:9000"
    volumes: 
      - ./app02:/var/www/
    depends_on: 
      - db

  nginx02:
    build: ./.docker/nginx2
    restart: always
    ports:
      - "8082:80"
    volumes: 
      - ./app02:/var/www
    depends_on: 
      - web02

  db:
    image: postgres
    restart: always
    environment:
      POSTGRES_PASSWORD: postgres
      POSTGRES_USER: postgres
      POSTGRES_DB: blog
    volumes: 
    - "./.docker/dbdata:/var/lib/postgresql/data"

  nginx:
    build: ./.docker/nginx
    restart: always
    ports:
      - "8000:80"
    depends_on: 
      - web01
      - web02